Skip to main content
POST
Send a catering inquiry from a website

Headers

Idempotency-Key
string
required

Caller-stable key reused only for retries of this exact request.

Required string length: 16 - 128
Pattern: ^[A-Za-z0-9._:-]{16,128}$

Path Parameters

locationId
string
required
Required string length: 1 - 128

Body

application/json
eventDate
string
required
Pattern: ^\d{4}-\d{2}-\d{2}$
serviceTime
string
required
Pattern: ^([01]\d|2[0-3]):[0-5]\d$
headcount
object
required
serviceStyle
enum<string>
required
Available options:
pickup,
drop_off,
drop_off_with_setup
deliveryAddress
object | null
required
accessNotes
string | null
required
Required string length: 1 - 300
onSiteContact
object | null
required
menuRequest
string | null
required
Required string length: 1 - 400
dietary
object[]
required
Maximum array length: 12
serviceware
object | null
required
budgetAsStated
string | null
required
Required string length: 1 - 120
occasion
string | null
required
Required string length: 1 - 120
contact
object
required
questionsForTeam
string[]
required
Maximum array length: 10
Required string length: 1 - 200
notes
string | null
required
Required string length: 1 - 500

Response

201 records the inquiry for the restaurant to review; 200 replays the receipt for the same Idempotency-Key.

reference
string
required
Required string length: 1 - 32
answerBy
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
flags
enum<string>[]
required
Available options:
event_in_the_past,
inside_notice,
blackout_date,
service_style_not_offered,
outside_service_window,
availability_unknown,
below_minimum_headcount,
above_maximum_headcount,
allergy_stated,
no_way_to_send_quote
availability
object
required